<div class="common-profile-header">{{'labelMyOrderItems' | translate: lang}}</div>
  <div class="container" *ngIf="orderList && orderList.length > 0">
    <div class="row my-order"  *ngFor="let order of orderList">
        <div class="col-md-2">
            <div class="order-img"><img src="{{order.productImage}}" alt="order-name"></div>
        </div>
        <div class="col-md-8">
            <div class="vendor-order-name">
                <div class="order-id"><b>{{'OrderID' | translate:lang }} </b>{{order.orderNo}}</div>
                <div class="vorder-name" *ngIf="order.companyName">
                    <app-vendor-order-name [vendorName]="order.companyName"></app-vendor-order-name>
                </div>
            </div>
            <div class="order-name">{{order.productName}}
                    <div *ngFor ="let productOption of order.productAttributes">{{productOption.optionName}}: <b>{{productOption.optionValueName}}</b></div>
            </div>
            <div class="order-date">{{'OrderedOn' | translate:lang}} {{order.orderDate | customDate}}</div>
            <div class="order-delivered">                           
                <ng-container  *ngTemplateOutlet="statusIcon;context:{status: orderStatusList[order.statusName] }"></ng-container><span [class]="orderStatusList[order.statusName].class_name">{{'Status' | translate:lang}}: {{order.displayName}}</span>
                   <ng-template #statusIcon let-status='status'><i [class]="status.class_name" [ngClass]="status.fa_icon" aria-hidden="true"></i></ng-template>
            </div>
            <div class="order-deliver-status"  *ngIf="order.deliveryDate">{{'DeliveredOn' | translate:lang}} {{order?.deliveryDate | customDate}}</div>
        </div>     
        <div class="col-md-2 add-btn">
            <button type="button" class="btn btn-light" [title]="'viewOrder' | translate:lang" (click)="onViewOrder(order)">
                <i class="fas fa-map-marker-alt"></i><span class="btn-txt">{{'viewOrder' | translate:lang}}</span>
            </button>
        </div>
    </div>
    <div class="tech-value" *ngIf="orderTotalLength > startLimit">
          <button [disabled]="currentPage === 1" (click)="showProductsLeft()" mat-raised-button color="primary" class="btn btn-default"> < </button>
          <button [disabled]="currentPage === totalPages" (click)="showProductsRight()" mat-raised-button color="primary" class="btn btn-default"> > </button>
    </div>
  </div>
  <div class="nodata-found-wrap-1" *ngIf="(orderList === undefined || orderList.length === 0) && !isLoading">
   {{'LABEL_NO_ORDERS' | translate: lang}}
  </div>

